Package org.apache.lucene.internal.hppc

# Class BufferAllocationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.lucene.internal.hppc.BufferAllocationException

All Implemented Interfaces:
  `Serializable`

public class BufferAllocationException extends RuntimeException
BufferAllocationException forked from HPPC.

See Also:
  - Serialized Form
NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BufferAllocationException(String message)`
  `BufferAllocationException(String message, Object... args)`
  `BufferAllocationException(String message, Throwable t, Object... args)`

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BufferAllocationException

    public BufferAllocationException(String message)

  - ### BufferAllocationException

    public BufferAllocationException(String message, Object... args)

  - ### BufferAllocationException

    public BufferAllocationException(String message, Throwable t, Object... args)